Package org.apache.commons.compress.harmony.pack200

# Class Segment.ArrayVisitor

java.lang.Object
org.objectweb.asm.AnnotationVisitor
org.apache.commons.compress.harmony.pack200.Segment.ArrayVisitor

Enclosing class:
  `Segment`

public class Segment.ArrayVisitor extends org.objectweb.asm.AnnotationVisitor

- ## Field Summary

  ### Fields inherited from class org.objectweb.asm.AnnotationVisitor

  `api, av`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayVisitor(List<Integer> caseArrayN, List<String> tags, List<String> nameRU, List<Object> values)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visit(String name, Object value)`
  `org.objectweb.asm.AnnotationVisitor`
  `visitAnnotation(String arg0, String arg1)`
  `org.objectweb.asm.AnnotationVisitor`
  `visitArray(String name)`
  `void`
  `visitEnd()`
  `void`
  `visitEnum(String name, String desc, String value)`

  ### Methods inherited from class org.objectweb.asm.AnnotationVisitor

  `getDelegate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayVisitor

    public ArrayVisitor(List<Integer> caseArrayN, List<String> tags, List<String> nameRU, List<Object> values)

- ## Method Details

  - ### visit

    public void visit(String name, Object value)
    Overrides:
      `visit` in class `org.objectweb.asm.AnnotationVisitor`

  - ### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String arg0, String arg1)
    Overrides:
      `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`

  - ### visitArray

    public org.objectweb.asm.AnnotationVisitor visitArray(String name)
    Overrides:
      `visitArray` in class `org.objectweb.asm.AnnotationVisitor`

  - ### visitEnd

    public void visitEnd()
    Overrides:
      `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`

  - ### visitEnum

    public void visitEnum(String name, String desc, String value)
    Overrides:
      `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`